[Wine] Mac OS/X 10.6.6, WineHQ, and Bloodline Champions Help

Charles Davis cdavis at mymail.mines.edu
Mon Mar 21 12:06:39 CDT 2011

On 3/21/11 10:44 AM, Threemor wrote:
> Hey. So I am completely new to WineHQ. But reading the FAQ for bloodline champions, it said it could probably run using WineHQ. As I said, I have a mac. But I have no idea what package I need, how to configure it for BLC, etc. Can anyone help a major noob?
> http://www.bloodlinechampions.com/
> "On what platforms will Bloodline Champions be released?
> The game is using the Microsoft XNA framework which means it will only run natively under Microsoft Windows, but applications using XNA are known to work very well in Wine (www.winehq.org). Supported operating systems will most likely be Windows XP, Windows Vista and Windows 7."
First, go get MacPorts (http://www.macports.org/) or Fink (uh, I'm not
sure where they are, just do a Google search for them).

Then, use whichever one of those you installed to grab Wine (and all the
stuff that Wine needs to work right). Make sure you install the
"development" version and not the "stable" version. The "development"
version is much better supported by the community than the "stable"
version. In fact, one of the first things we do here is tell you to
install the latest development version of Wine, if you're not running it
already. Installing Wine from a 3rd-party package manager is beyond the
scope of this forum, so don't ask about it here. MacPorts and Fink
should have more information about that on their respective websites.

If there's an AppDB entry for this game (doubtful, but possible, just go
look), it should tell you how to run this game in Wine. The AppDB can be
found at http://appdb.winehq.org/ . If there isn't an entry, you should
make one when you're finished installing the game so other people can
benefit. (You'll have to register with the AppDB, too, if you want to
create an entry. Oddly enough, all your accounts on WineHQ are separate.)

Since you mentioned XNA, I'm guessing you need to install winetricks
(also from MacPorts or Fink) so you can install .NET in Wine. Look on
the website to see which .NET version you need. I'd venture a guess that
you'd need .NET 3.0 or 3.5. Oh, and don't try to let the game's
installer install .NET, because it probably won't work.

Oh, and make sure you're running the latest version of XQuartz (like
James said). You can get it at http://xquartz.macosforge.org/ . Trust
me, it runs a lot better than the pathetic X11 that's built-in to Mac OS X.

If you have any more questions, *go read the FAQ*
(http://wiki.winehq.org/FAQ). If you still have questions, then you can
post back here.


More information about the wine-users mailing list